Retrieve a work order task
https://carchost.fieldcontrol.com.br/orders/{id}/tasks/{taskId}Returns a task by identifier. The order in the URL is not checked: any task in the account is returned.
Requires the
X-Api-KeyandUser-Agentheaders. Limit: 1 request per second (learn more).
Request
Path parameters
idstringrequiredWork order identifier.
Example: NDJiMWQ0YzQtOWNmOC00NWE2LTg2MjItYjNjNzZjZjk0MmM4OjIyOTE1.
taskIdstringrequiredTask identifier.
Example: ZTllZjFiNzUtOGQ3MS00ZmE1LWFjNmUtYzlmNGQ1YzJiOWI3OjIyOTE1.
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Responses
- 200
Task found.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 404
Resource not found. The response body is empty.
- 422
Invalid identifier in the path or one from another account (uriValidationErr), or invalid query parameter (parametersValidationErr). A valid identifier that does not exist returns 404.
- 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.